<div style="margin-bottom:15px;">
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Job Order Number">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
    <br>
    <p-dataTable
    [hidden] = "( internal === 'PPIC' && loginuser !== 'PJA')"
    [value]="jobOrders"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idOrder"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12 ) " >
                            <div class="btn-filter-wrapper">
                                <button (click)=" processToNotAvailable() " [disabled]=" selected?.length == 0 " type="button" class="btn btn-primary btn-filter">
                                    <span>Not Approve</span>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approve</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Job Order Number">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.orderNumber}}
        </ng-template>
    </p-column>
    <p-column header="Date Order">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Finished Before">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtFnsBfr | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Create By">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.createdBy}}
        </ng-template>
    </p-column>
    <p-column header="Division">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReq}}
            </ng-template>
        </p-column>
    <p-column header="Request To">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReciver}}
            </ng-template>
        </p-column>
    <p-column header="Approve By">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.appDept}}
            </ng-template>
        </p-column>
    <p-column header="Job Description">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jobDescription}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                    (click)="gotoDetail(rowData)"
                    ngbTooltip="Preview JO"
                    icon="fa-pencil"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>

    <p-dataTable
    [hidden] = "( (internal === 'PPIC' && loginuser === 'PJA') || internal !== 'PPIC')"
    [value]="jobOrders"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idOrder"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)" >
                            <div class="btn-filter-wrapper">
                                <button (click)="processToNotAvailable()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Not Approve</span>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approve</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Job Order Number">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.orderNumber}}
        </ng-template>
    </p-column>
    <p-column header="Date Order">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Finished Before">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtFnsBfr | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Create By">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.createdBy}}
        </ng-template>
    </p-column>
    <p-column header="Division">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReq}}
            </ng-template>
        </p-column>
    <p-column header="Request To">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReciver}}
            </ng-template>
        </p-column>
    <p-column header="Approve By Supervisor / Asistant Manager">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.appDept}}
            </ng-template>
        </p-column>
        <p-column header="Approve By Manager">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.appDept1}}
            </ng-template>
        </p-column>
    <p-column header="Job Description">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jobDescription}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                    (click)="gotoDetail(rowData)"
                    icon="fa-pencil"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
</div>
